ApiRangerReplicationTransformArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiRangerReplicationTransformArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiRangerReplicationTransformArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiRangerReplicationTransformArgs
      extends Object

  Arguments for TRANSFORMING Ranger services and policies, executed after EXPORT (see ApiRangerReplicationExportArgs). <p> Note that if replication is from <b>on-prem to cloud</b>, and it contains a <b>Ranger service with type HDFS</b>, then depending on the cloud provider, one of the following must be provided: #getHdfsToAdlsArgs(), #getHdfsToS3Args(), #getHdfsToGcsArgs(). <b>Otherwise, providing this information is not required!</b>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRangerReplicationTransformArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ApiRangerReplicationHdfsToAdlsArgs` | `getHdfsToAdlsArgs()` Get hdfsToAdlsArgs
    `ApiRangerReplicationHdfsToGcsArgs` | `getHdfsToGcsArgs()` Get hdfsToGcsArgs
    `ApiRangerReplicationHdfsToS3Args` | `getHdfsToS3Args()` Get hdfsToS3Args
    `Map<String,String>` | `getHiveUrlsMapping()` Used for <b>HIVE prefixed based resource URL replacement</b>.
    `Map<String,String>` | `getRangerResourcesMapping()` A mapping between source to destination ranger resources.
    `Map<String,String>` | `getRangerServiceNamesMapping()` A mapping between source to destination ranger services.
    `Map<String,String>` | `getRangerUsersMapping()` A mapping between source to destination ranger usernames.
    `int` | `hashCode()`
    `ApiRangerReplicationTransformArgs` | `hdfsToAdlsArgs(ApiRangerReplicationHdfsToAdlsArgs hdfsToAdlsArgs)`
    `ApiRangerReplicationTransformArgs` | `hdfsToGcsArgs(ApiRangerReplicationHdfsToGcsArgs hdfsToGcsArgs)`
    `ApiRangerReplicationTransformArgs` | `hdfsToS3Args(ApiRangerReplicationHdfsToS3Args hdfsToS3Args)`
    `ApiRangerReplicationTransformArgs` | `hiveUrlsMapping(Map<String,String> hiveUrlsMapping)`
    `ApiRangerReplicationTransformArgs` | `putHiveUrlsMappingItem(String key, String hiveUrlsMappingItem)`
    `ApiRangerReplicationTransformArgs` | `putRangerResourcesMappingItem(String key, String rangerResourcesMappingItem)`
    `ApiRangerReplicationTransformArgs` | `putRangerServiceNamesMappingItem(String key, String rangerServiceNamesMappingItem)`
    `ApiRangerReplicationTransformArgs` | `putRangerUsersMappingItem(String key, String rangerUsersMappingItem)`
    `ApiRangerReplicationTransformArgs` | `rangerResourcesMapping(Map<String,String> rangerResourcesMapping)`
    `ApiRangerReplicationTransformArgs` | `rangerServiceNamesMapping(Map<String,String> rangerServiceNamesMapping)`
    `ApiRangerReplicationTransformArgs` | `rangerUsersMapping(Map<String,String> rangerUsersMapping)`
    `void` | `setHdfsToAdlsArgs(ApiRangerReplicationHdfsToAdlsArgs hdfsToAdlsArgs)`
    `void` | `setHdfsToGcsArgs(ApiRangerReplicationHdfsToGcsArgs hdfsToGcsArgs)`
    `void` | `setHdfsToS3Args(ApiRangerReplicationHdfsToS3Args hdfsToS3Args)`
    `void` | `setHiveUrlsMapping(Map<String,String> hiveUrlsMapping)`
    `void` | `setRangerResourcesMapping(Map<String,String> rangerResourcesMapping)`
    `void` | `setRangerServiceNamesMapping(Map<String,String> rangerServiceNamesMapping)`
    `void` | `setRangerUsersMapping(Map<String,String> rangerUsersMapping)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRangerReplicationTransformArgs

          public ApiRangerReplicationTransformArgs()

  - ### Method Detail

    - #### rangerServiceNamesMapping

          public ApiRangerReplicationTransformArgs rangerServiceNamesMapping(Map<String,String> rangerServiceNamesMapping)

    - #### putRangerServiceNamesMappingItem

          public ApiRangerReplicationTransformArgs putRangerServiceNamesMappingItem(String key,
                                                                                    String rangerServiceNamesMappingItem)

    - #### getRangerServiceNamesMapping

          public Map<String,String> getRangerServiceNamesMapping()

      A mapping between source to destination ranger services. <p> Note that if a mapping is not given for a service then it will stay the same on the destination. <p> Example: {\"cm_hdfs\":\"dr_hdfs\", \"cm_hive\":\"dr_hive\"} <br> Default: empty or null, every service name will stay the same on the destination
      Returns:
        rangerServiceNamesMapping

    - #### setRangerServiceNamesMapping

          public void setRangerServiceNamesMapping(Map<String,String> rangerServiceNamesMapping)

    - #### rangerUsersMapping

          public ApiRangerReplicationTransformArgs rangerUsersMapping(Map<String,String> rangerUsersMapping)

    - #### putRangerUsersMappingItem

          public ApiRangerReplicationTransformArgs putRangerUsersMappingItem(String key,
                                                                             String rangerUsersMappingItem)

    - #### getRangerUsersMapping

          public Map<String,String> getRangerUsersMapping()

      A mapping between source to destination ranger usernames. <p> Note that if a mapping is not given for a username then it will stay the same on the destination. <p> Example: {\"testuser1\":\"testuser1@host.com\", \"testuser2\":\"testuser2@host.com\" }<br> Default: empty or null, every username will stay the same on the destination
      Returns:
        rangerUsersMapping

    - #### setRangerUsersMapping

          public void setRangerUsersMapping(Map<String,String> rangerUsersMapping)

    - #### rangerResourcesMapping

          public ApiRangerReplicationTransformArgs rangerResourcesMapping(Map<String,String> rangerResourcesMapping)

    - #### putRangerResourcesMappingItem

          public ApiRangerReplicationTransformArgs putRangerResourcesMappingItem(String key,
                                                                                 String rangerResourcesMappingItem)

    - #### getRangerResourcesMapping

          public Map<String,String> getRangerResourcesMapping()

      A mapping between source to destination ranger resources. <p> If a mapping is not given for a resource then it will stay the same on the destination. <p> <b>Example</b>: <br> {\"/srcdir1/srcfile1\": \"/destdir1/destfile1\", \"src_url.com\": \"dest_url.com\", \"source_db\": \"dest_db\", \"source_table\":\"dest_table\"} } <br> Default: empty or null, every resource will remain the same on destination <p> If replication contains <b>HDFS Ranger service type</b> and replication is done from on-prem to cloud, then for transforming HDFS Ranger service policies to Cloud policies <b>NO resource mapping is needed</b>. Instead, provide one of the following: #getHdfsToAdlsArgs(), #getHdfsToS3Args(), #getHdfsToGcsArgs() <p> <b>HIVE prefixed based resource URL replacement is supported</b>, but it should be provided in a <b>different mapping</b>, for more info see #getHiveUrlsMapping().
      Returns:
        rangerResourcesMapping

    - #### setRangerResourcesMapping

          public void setRangerResourcesMapping(Map<String,String> rangerResourcesMapping)

    - #### hiveUrlsMapping

          public ApiRangerReplicationTransformArgs hiveUrlsMapping(Map<String,String> hiveUrlsMapping)

    - #### putHiveUrlsMappingItem

          public ApiRangerReplicationTransformArgs putHiveUrlsMappingItem(String key,
                                                                          String hiveUrlsMappingItem)

    - #### getHiveUrlsMapping

          public Map<String,String> getHiveUrlsMapping()

      Used for <b>HIVE prefixed based resource URL replacement</b>. <p> <b>For instance</b>, if Hive resource URLs on <b>source</b> are: <ul> <li>hdfs://namenodehost:8020/user/hive/warehouse/table1</li> <li>hdfs://namenodehost:8020/user/hive/warehouse/table2</li> </ul> and <b>destination is Amazon S3</b>, and the resource mapping contains the following entry: <br> \"hdfs://namenodehost:8020/user/hive/warehouse\": \"s3a://bucket\" <br> then after transformation hive urls will be: <ul> <li>s3a://bucket/table1</li> <li>s3a://bucket/table2</li> </ul> Default: empty or null, every HIVE URL will remain the same on destination.
      Returns:
        hiveUrlsMapping

    - #### setHiveUrlsMapping

          public void setHiveUrlsMapping(Map<String,String> hiveUrlsMapping)

    - #### hdfsToAdlsArgs

          public ApiRangerReplicationTransformArgs hdfsToAdlsArgs(ApiRangerReplicationHdfsToAdlsArgs hdfsToAdlsArgs)

    - #### getHdfsToAdlsArgs

          public ApiRangerReplicationHdfsToAdlsArgs getHdfsToAdlsArgs()

      Get hdfsToAdlsArgs
      Returns:
        hdfsToAdlsArgs

    - #### setHdfsToAdlsArgs

          public void setHdfsToAdlsArgs(ApiRangerReplicationHdfsToAdlsArgs hdfsToAdlsArgs)

    - #### hdfsToS3Args

          public ApiRangerReplicationTransformArgs hdfsToS3Args(ApiRangerReplicationHdfsToS3Args hdfsToS3Args)

    - #### getHdfsToS3Args

          public ApiRangerReplicationHdfsToS3Args getHdfsToS3Args()

      Get hdfsToS3Args
      Returns:
        hdfsToS3Args

    - #### setHdfsToS3Args

          public void setHdfsToS3Args(ApiRangerReplicationHdfsToS3Args hdfsToS3Args)

    - #### hdfsToGcsArgs

          public ApiRangerReplicationTransformArgs hdfsToGcsArgs(ApiRangerReplicationHdfsToGcsArgs hdfsToGcsArgs)

    - #### getHdfsToGcsArgs

          public ApiRangerReplicationHdfsToGcsArgs getHdfsToGcsArgs()

      Get hdfsToGcsArgs
      Returns:
        hdfsToGcsArgs

    - #### setHdfsToGcsArgs

          public void setHdfsToGcsArgs(ApiRangerReplicationHdfsToGcsArgs hdfsToGcsArgs)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.